/**
 * Created by xiaoqiang on 10/11/16.
 */
var UserController = Module.controller('UserController', [
    '$scope',
    '$location',
    'User',
    function ($s, $location, User) {
      $s.user = User.toJSON();
      $s.isAuthorized = false;
      $s.trialLeft = 0;
      $s.version = VERSION;
      function init() {
        checkTrial();
      }
      function checkTrial() {
        if ($s.user.licence != '') {
          $s.isAuthorized = true;
        } else {
          $s.isAuthorized = false;
          var start = parseInt($s.user.trial_start) * 1000;
          var now = new Date().getTime();
          if (now - start > 15 * 24 * 3600 * 1000) {
            $s.trialLeft = 0;
          } else {
            $s.trialLeft = Math.round((start + 15 * 24 * 3600 * 1000 - now) / (24 * 3600 * 1000));
          }
        }
      }
      $s.buy = function () {
        bridge.call('open_browser', 'http://www.cutterman.cn/', function () {
        });
      };
      $s.back = function () {
        $s.$emit('GO_PANEL');
      };
      $s.logout = function () {
        bridge.deleteFile('user.json').then(function () {
          bridge.deleteFile('configure.json');
          $s.$emit('LOGOUT_SUCCESS');
          $s.$apply();
        });
      };
      init();
    }
  ]);