/**
 * Created by xiaoqiang on 10/9/16.
 */
var LoginController = Module.controller('LoginController', [
    '$scope',
    '$translate',
    '$location',
    'User',
    function ($s, $translate, $location, User) {
      $s.config = User.toJSON();
      $s.login = function () {
        var url = 'https://www.cutterman.cn/client/login';
        $.post(url, $s.config, function (result) {
          if (result.errno == 0) {
            $s.config = result;
            $translate(['login_success']).then(function (translations) {
              console.log(translations.login_success);
              $s.$emit('TOAST', translations.login_success);
            });
            $s.$emit('LOGIN_SUCCESS', JSON.stringify($s.config));
          } else {
            $s.$emit('TOAST', result.info);
          }
        });
      };
      $s.register = function () {
        bridge.call('open_browser', 'http://www.cutterman.cn/user/register', function () {
        });
      };
    }
  ]);